//Distance measurement of ultrasonic
//TREEE Tech
//VCC  --> 5V
//Trig --> D11
//Echo --> D12
//GND  --> GND

void setup() 
{
  pinMode(11, OUTPUT);
  pinMode(12, INPUT);
  Serial.begin(9600);
}

void loop() 
{
  long Th = 0;
  float Dis = 0;
  delay(100);
  digitalWrite(11, HIGH); // |
  delayMicroseconds(10);  // |
  digitalWrite(11, LOW);  // --> Send 10us high signal to trig
  
  while(!digitalRead(12));// |
  Th = micros();          // |
  while(digitalRead(12)); // --> Count the time of high level of echo
  Th = micros() - Th;
  Dis = 34000 * Th / 1000000.0 / 2;
  if (Dis < 0) Dis = 0;
  Serial.println(Dis);
}
